Package org.apache.lucene.index

## Interface IndexSorter.DocComparator

- Enclosing interface:
    IndexSorter

      public static interface IndexSorter.DocComparator

  A comparator of doc IDs, used for sorting documents within a segment

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compare​(int docID1, int docID2)` | Compare docID1 against docID2.

- - ### Method Detail

    - #### compare

          int compare​(int docID1,
                      int docID2)

      Compare docID1 against docID2. The contract for the return value is the same as `Comparator.compare(Object, Object)`.